# Created by pyp2rpm-3.3.10
%global pypi_name iopath
%global pypi_version 0.1.10

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A library for providing I/O abstraction

License:        MIT
URL:            https://github.com/facebookresearch/iopath
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(boto3)
BuildRequires:  python3dist(portalocker)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tqdm)
BuildRequires:  python3dist(typing-extensions)

%description
opath is a lightweight I/O abstraction library that provides a common interface across storage backends.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(boto3)
Requires:       python3dist(portalocker)
Requires:       python3dist(tqdm)
Requires:       python3dist(typing-extensions)
%description -n python3-%{pypi_name}
opath is a lightweight I/O abstraction library that provides a common interface across storage backends.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# check is disabled since it requires internet connection
# %check
# %{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Jan 10 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.1.10-1
- Initial package.
